### Method

# FwupdPlugin UdevDevice read_sysfs_bytes

since: 2.0.1

#### Declaration [src]

    GBytes*
    fu_udev_device_read_sysfs_bytes (
      FuUdevDevice* self,
      const gchar* attr,
      gssize count,
      guint timeout_ms,
      GError** error
    )

#### Description [src]

Reads raw data from a sysfs attribute.

Available since: 2.0.1

#### Parameters

`attr`

  Type: `const gchar*`

  Sysfs attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`count`

  Type: `gssize`

  Maximum bytes to read, or -1 for no limit.

`timeout_ms`

  Type: `guint`

  IO timeout in milliseconds.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

String value, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.